"use strict";

const listResolver = (field, defaultType) => {
  return field && field.fields && field.fields.length > 0 ? 'SubTypeArrayOfObject' : `${defaultType}`;
};

const selectResolver = (field, defaultType) => {
  return field && field.multiple ? 'SubTypeArrayOfString' : `${defaultType}`;
};

module.exports = {
  boolean: 'Boolean',
  date: 'Date',
  datetime: 'Date',
  file: 'String',
  hidden: 'JSON',
  image: 'String',
  list: {
    default: 'SubTypeArrayOfString',
    resolver: listResolver
  },
  map: 'String',
  markdown: 'String',
  number: 'Float',
  object: 'SubType',
  relation: 'Relation',
  select: {
    default: 'String',
    resolver: selectResolver
  },
  string: 'String',
  text: 'String'
};